Ir al contenido

Entregas de un evento

Lista los intentos de entrega de un evento a tus webhooks (éxito, fallo, reintentos).

GEThttps://api.kuti.pe/v1/events/{id}/deliveries
status de entrega: PENDING, SUCCEEDED, FAILED, DEAD. attempt_history va del más reciente al más antiguo.

Path

id
stringrequerido
Id del evento (evt_…).Ej: evt_01J8Z3K4M5N6P7Q8R9S0T1U2V3

Language

Credentials

Header

Authorization

Secret key de developer · ejemplos con librerías estándar (aún sin SDK)

cURL Request
curl -s 'https://api.kuti.pe/v1/events/evt_01J8Z3K4M5N6P7Q8R9S0T1U2V3/deliveries' \
  -H 'Authorization: Bearer kuti_live_…'
Librería estándar · sin SDK propio
Response

Elige un ejemplo de respuesta:

application/json
200OK
{
  "success": true,
  "data": [
    {
      "id": "whd_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
      "event_id": "evt_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
      "webhook_endpoint_id": "we_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
      "endpoint_url": "https://merchant.example.com/webhooks/kuti",
      "status": "SUCCEEDED",
      "attempts": 1,
      "last_http_status": 200,
      "delivered_at": "2026-09-04T10:49:01.100000Z",
      "attempt_history": [
        {
          "id": "wda_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
          "attempt_number": 1,
          "attempted_at": "2026-09-04T10:49:01.100000Z",
          "ok": true,
          "http_status": 200
        }
      ]
    }
  ]
}